cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Animesh Chaturvedi <animesh.chaturv...@citrix.com>
Subject RE: 4.3 system vm template job failing in jenkins
Date Thu, 10 Apr 2014 16:21:02 GMT
May be this can be a quick hackathon in collab. Copying Wido and Hugo

> -----Original Message-----
> From: Abhinandan Prateek [mailto:Abhinandan.Prateek@citrix.com]
> Sent: Thursday, April 10, 2014 9:18 AM
> To: dev@cloudstack.apache.org
> Subject: Re: 4.3 system vm template job failing in jenkins
> 
> On 10/04/14 5:24 pm, "Nux!" <nux@li.nux.ro> wrote:
> 
> >On 10.04.2014 11:17, Abhinandan Prateek wrote:
> >> I have tried with both the options now i.e. -qq and by removing
> >> "DEBIAN_PRIORITY=critical², The pop up does not go away breaking the
> >> build job.
> >>
> >> Guys, find the solution !
> >>
> >> -abhi
> >
> >
> >This sort of works for me:
> >
> >(I'm downgrading to the vulnerable version)
> >
> >root@v-45-VM:~# aptitude install libssl1.0.0=1.0.1e-2+deb7u4 The
> >following packages will be DOWNGRADED:
> >   libssl1.0.0
> >0 packages upgraded, 0 newly installed, 1 downgraded, 0 to remove and
> >34 not upgraded.
> >Need to get 0 B/3,027 kB of archives. After unpacking 52.2 kB will be
> >freed.
> >Preconfiguring packages ...
> >dpkg: warning: downgrading libssl1.0.0:i386 from 1.0.1e-2+deb7u6 to
> >1.0.1e-2+deb7u4
> >(Reading database ... 24354 files and directories currently installed.)
> >Preparing to replace libssl1.0.0:i386 1.0.1e-2+deb7u6 (using
> >.../libssl1.0.0_1.0.1e-2+deb7u4_i386.deb) ...
> >Unpacking replacement libssl1.0.0:i386 ...
> >Setting up libssl1.0.0:i386 (1.0.1e-2+deb7u4) ...
> >
> >root@v-45-VM:~# "DEBIAN_FRONTEND=noninteractive apt-get install -y -qq
> >--force-yes libssl1.0.0 Preconfiguring packages ...
> >(Reading database ... 24354 files and directories currently installed.)
> >Preparing to replace libssl1.0.0:i386 1.0.1e-2+deb7u4 (using
> >.../libssl1.0.0_1.0.1e-2+deb7u6_i386.deb) ...
> >Unpacking replacement libssl1.0.0:i386 ...
> >Setting up libssl1.0.0:i386 (1.0.1e-2+deb7u6) ...
> >Checking for services that may need to be restarted...done.
> >Checking init scripts...
> >
> >Restarting services possibly affected by the upgrade:
> >[ ok ] Restarting OpenBSD Secure Shell server: sshd.
> >[ ok ] Stopping NTP server: ntpd.
> >[ ok ] Starting NTP server: ntpd.
> >[ ok ] Stopping daemon monitor: monit.
> >[ ok ] Starting daemon monitor: monit.
> >
> >Services restarted successfully."
> >
> >I tried disabling the $post script, but apparently there is no way to
> >do this in Debian.
> >
> 
> Is it possible for someone on the thread to test it out. I can get back to this
> tomorrow.
> 
> -abhi
> >


Mime
View raw message